# Uses of Interface
com.sun.source.doctree.UsesTree

Packages that use UsesTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of UsesTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type UsesTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitUses(UsesTree node, P p)`
Visits a `UsesTree` node.

## Uses of UsesTree in com.sun.source.util

Methods in com.sun.source.util that return UsesTree
Modifier and Type
Method
Description
`UsesTree`
DocTreeFactory.`newUsesTree(ReferenceTree name, List<? extends DocTree> description)`
Creates a new `UsesTree` object, to represent a `@uses` tag.
Methods in com.sun.source.util with parameters of type UsesTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitUses(UsesTree node, P p)`
Visits a `UsesTree` node.
`R`
SimpleDocTreeVisitor.`visitUses(UsesTree node, P p)`
Visits a `UsesTree` node.